Skip to main content
`Ctrl`+`K`

# NEPRefine

The type of Newton iterative refinement.

## Synopsis

    typedef enum { NEP_REFINE_NONE,
                   NEP_REFINE_SIMPLE,
                   NEP_REFINE_MULTIPLE } NEPRefine;

## Values

- `NEP_REFINE_NONE` - no refinement

- `NEP_REFINE_SIMPLE` - refinement of each converged eigenpair individually

- `NEP_REFINE_MULTIPLE` - refinement of the invariant pair as a whole

## Note

See section Iterative Refinement for a discussion of the different refinement strategies.

## See Also

NEP: Nonlinear Eigenvalue Problems, Iterative Refinement, `NEPSetRefine()`

## Level

intermediate

## Location

include/slepcnep.h

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages